import unittest, sys
import io
import unittest.mock

from tmc import points

from tmc.utils import load, get_out

main = load('src.main', 'predict')

@points('3-1')
class MainTest(unittest.TestCase):
   
    def test_answer_one(self):
        X = [[66, 5, 15, 2, 500], [21, 3, 50, 1, 100], [120, 15, 5, 2, 1200]]
        c = [3000, 200, -50, 5000, 100]
        main(X, c)
        output = get_out()
        self.assertEqual(output, "258250\n76100\n492750")

    def test_answer_two(self):
        X2 = [[65, 5, 15, 2, 500], [20, 3, 50, 1, 100], [121, 15, 5, 2, 1200]]
        c2 = [3000, 200, -50, 5000, 100]                    
        main(X2, c2)
        output = get_out()
        self.assertEqual(output, "255250\n73100\n495750")


if __name__ == '__main__':
    unittest.main()
